////////////////////////////////////////////////////////////////////////////////
// 源程序名称：U_iniParam.pas
// 软件著作权：富通软件有限公司 版权所有
//   系统名称：富通印染ERP车间作业系统
//   模块名称：生产配料
//   功能说明：生产计划模块ini配置文件操作设置
//       作者：官惠平
//       审核：
////////////////////////////////////////////////////////////////////////////////
unit U_iniParam;

interface
uses
  IniFiles,SysUtils,Windows;
var
  Filename:string;      //文件名
  iParam2:integer;
  bParam1:Boolean;
  bParam2:Boolean;
  gUpdateFileServer:string;
  Function IsINIFile():Boolean;  //判断InI配置文件是否存在
  procedure ReadINIFile();
  procedure WriteINIFile();
  procedure UpdateFileTime(FileName:string; CreationTime, LastAccessTime, LastWriteTime:TDateTime);
implementation
///////////////////////////////////////////////////////////////////
  //读取ini文件设置参数
  //参数：
////////////////////////////////////////////////////////////////////
procedure ReadINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'FileUpdate.INI';
  programIni:=Tinifile.create(FileName);
  gUpdateFileServer:=programIni.ReadString('系统设置','自动更新文件服务器','');
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //写设置信息到INI文件
  //参数
//////////////////////////////////////////////////////////////////
procedure WriteINIFile();
var
  programIni:Tinifile;  //配置文件名
begin
  FileName:=ExtractFilePath(Paramstr(0))+'FileUpdate.INI';
  programIni:=Tinifile.create(FileName);
  programIni.WriteString('系统设置','自动更新文件服务器',gUpdateFileServer);
  programIni.Free;
end;
//////////////////////////////////////////////////////////////////
  //判断InI文件是否存在
//////////////////////////////////////////////////////////////////
 Function IsINIFile():Boolean;
 begin
   FileName:=ExtractFilePath(Paramstr(0))+'FileUpdate.INI';
   if FileExists(FileName) then
      Result:=true
   else
      Result:=false;
 end;
{-------------------------------------------------------------------------------
  过程名:    UpdateFileTime
  作者:      imcjs
  日期:      2011.02.12
  参数:      FileName:string; CreationTime, LastAccessTime, LastWriteTime:TDateTime
  说明：     修改指定文件的创建时间、访问时间、修改时间
-------------------------------------------------------------------------------}

procedure UpdateFileTime(FileName:string; CreationTime, LastAccessTime, LastWriteTime:TDateTime);
var
  FileHnd : Integer;
  SysTime : TSystemTime;
  tTzi: TTimezoneInformation;
  FCreationTime, FLastAccessTime, FLastWriteTime: TFileTime;
begin
  GetTimezoneInformation(tTzi) ;
  CreationTime := CreationTime+Ttzi.Bias/1440;
  DateTimeToSystemTime(CreationTime,SysTime);
  SystemTimeToFileTime(SysTime,FCreationTime);
  //LastAccessTime := LastAccessTime + Ttzi.Bias/1440;
  //DateTimeToSystemTime(LastAccessTime,SysTime);
  //SystemTimeToFileTime(SysTime,FLastAccessTime);
  LastWriteTime := LastWriteTime + Ttzi.Bias/1440;
  DateTimeToSystemTime(LastWriteTime,SysTime);
  SystemTimeToFileTime(SysTime,FLastWriteTime);
  try
    FileHnd := FileOpen(FileName, fmOpenWrite or fmShareDenyNone);
    SetFileTime(FileHnd, @FCreationTime, nil, @FLastWriteTime);
  finally
    FileClose(FileHnd);
  end;
end;
 


end.
